package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class SummaryBean {

    /**
     * id : 36
     * createDateTime : 1587880187000
     * updateDateTime : 1587883582000
     * jobNo : SCTN20042605
     * jobTypeId : 3
     * productDrawingConfirmation : null
     * siteInvestigation : null
     * feasibilityReport : null
     * productsCode : 7202010116D
     * productsName : 座砖Z124
     * experimentProcess : null
     * experimentResult : null
     * improveProposal : null
     * feedbackQualityIssues : 123123
     * siteUseSituation : 123123
     * causeAnalysis : 123123
     * solution : 123123
     * communicativePurposes : null
     * communicativeSituation : null
     * reachOpinion : null
     * productDevise : null
     * productQuotedPrice : null
     * completionSituation : 123123
     * dataCollectionStatus : 1
     * attachmentId : null
     * attachments : [{"id":"a4224559878911ea8334fa163e1166bd","name":"1.png","path":"group1/M00/00/0A/wKgAwV6lLjaABF2QAABBiqJSaT8874.png","type":"png","size":16778,"url":"http://114.116.55.221/group1/M00/00/0A/wKgAwV6lLjaABF2QAABBiqJSaT8874.png"},{"id":"a42e116e878911ea8334fa163e1166bd","name":"头像.jpg","path":"group1/M00/00/0A/wKgAwV6lLjuAXyb0AAFWcDujM5E039.jpg","type":"jpg","size":87664,"url":"http://114.116.55.221/group1/M00/00/0A/wKgAwV6lLjuAXyb0AAFWcDujM5E039.jpg"}]
     * createUserId : 398c852b38e911ea8334fa163e1166bd
     * createUserName : hello
     * updateUserId : 398c852b38e911ea8334fa163e1166bd
     * updateUserName : null
     * remark : null
     * delete : false
     */

    private String id;
    private long createDateTime;
    private long updateDateTime;
    private String jobNo;
    private int jobTypeId;
    private int productDrawingConfirmation;
    private String siteInvestigation;
    private String feasibilityReport;
    private String productsCode;
    private String productsName;
    private String experimentProcess;
    private String experimentResult;
    private String improveProposal;
    private String feedbackQualityIssues;
    private String siteUseSituation;
    private String causeAnalysis;
    private String solution;
    private String communicativePurposes;
    private String communicativeSituation;
    private String reachOpinion;
    private String productDevise;
    private String productQuotedPrice;
    private String completionSituation;
    private int dataCollectionStatus;
    private String attachmentId;
    private String createUserId;
    private String createUserName;
    private String updateUserId;
    private String updateUserName;
    private String remark;
    private boolean delete;
    private List<ImageBean> attachments;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(long createDateTime) {
        this.createDateTime = createDateTime;
    }

    public long getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(long updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getJobNo() {
        return jobNo;
    }

    public void setJobNo(String jobNo) {
        this.jobNo = jobNo;
    }

    public int getJobTypeId() {
        return jobTypeId;
    }

    public void setJobTypeId(int jobTypeId) {
        this.jobTypeId = jobTypeId;
    }

    public int getProductDrawingConfirmation() {
        return productDrawingConfirmation;
    }

    public void setProductDrawingConfirmation(int productDrawingConfirmation) {
        this.productDrawingConfirmation = productDrawingConfirmation;
    }

    public String getSiteInvestigation() {
        return siteInvestigation;
    }

    public void setSiteInvestigation(String siteInvestigation) {
        this.siteInvestigation = siteInvestigation;
    }

    public String getFeasibilityReport() {
        return feasibilityReport;
    }

    public void setFeasibilityReport(String feasibilityReport) {
        this.feasibilityReport = feasibilityReport;
    }

    public String getProductsCode() {
        return productsCode;
    }

    public void setProductsCode(String productsCode) {
        this.productsCode = productsCode;
    }

    public String getProductsName() {
        return productsName;
    }

    public void setProductsName(String productsName) {
        this.productsName = productsName;
    }

    public String getExperimentProcess() {
        return experimentProcess;
    }

    public void setExperimentProcess(String experimentProcess) {
        this.experimentProcess = experimentProcess;
    }

    public String getExperimentResult() {
        return experimentResult;
    }

    public void setExperimentResult(String experimentResult) {
        this.experimentResult = experimentResult;
    }

    public String getImproveProposal() {
        return improveProposal;
    }

    public void setImproveProposal(String improveProposal) {
        this.improveProposal = improveProposal;
    }

    public String getFeedbackQualityIssues() {
        return feedbackQualityIssues;
    }

    public void setFeedbackQualityIssues(String feedbackQualityIssues) {
        this.feedbackQualityIssues = feedbackQualityIssues;
    }

    public String getSiteUseSituation() {
        return siteUseSituation;
    }

    public void setSiteUseSituation(String siteUseSituation) {
        this.siteUseSituation = siteUseSituation;
    }

    public String getCauseAnalysis() {
        return causeAnalysis;
    }

    public void setCauseAnalysis(String causeAnalysis) {
        this.causeAnalysis = causeAnalysis;
    }

    public String getSolution() {
        return solution;
    }

    public void setSolution(String solution) {
        this.solution = solution;
    }

    public String getCommunicativePurposes() {
        return communicativePurposes;
    }

    public void setCommunicativePurposes(String communicativePurposes) {
        this.communicativePurposes = communicativePurposes;
    }

    public String getCommunicativeSituation() {
        return communicativeSituation;
    }

    public void setCommunicativeSituation(String communicativeSituation) {
        this.communicativeSituation = communicativeSituation;
    }

    public String getReachOpinion() {
        return reachOpinion;
    }

    public void setReachOpinion(String reachOpinion) {
        this.reachOpinion = reachOpinion;
    }

    public String getProductDevise() {
        return productDevise;
    }

    public void setProductDevise(String productDevise) {
        this.productDevise = productDevise;
    }

    public String getProductQuotedPrice() {
        return productQuotedPrice;
    }

    public void setProductQuotedPrice(String productQuotedPrice) {
        this.productQuotedPrice = productQuotedPrice;
    }

    public String getCompletionSituation() {
        return completionSituation;
    }

    public void setCompletionSituation(String completionSituation) {
        this.completionSituation = completionSituation;
    }

    public int getDataCollectionStatus() {
        return dataCollectionStatus;
    }

    public void setDataCollectionStatus(int dataCollectionStatus) {
        this.dataCollectionStatus = dataCollectionStatus;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public List<ImageBean> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<ImageBean> attachments) {
        this.attachments = attachments;
    }

}
